Bug 6526 - Hold requests require cardnumbers to be set
Summary: Hold requests require cardnumbers to be set
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 6687
  Show dependency treegraph
 
Reported: 2011-06-23 09:10 UTC by Robin Sheat
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6526 - make the reserves code use the borrowernumber (14.31 KB, patch)
2011-06-23 09:15 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED OFF] Bug 6526 - make the reserves code use the borrowernumber (14.36 KB, patch)
2011-06-24 20:57 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-06-23 09:10:50 UTC
If you have a library that doesn't have card numbers set for its borrowers, reserves don't work.

This needs to be modified to work with borrowernumber instead.
Comment 1 Robin Sheat 2011-06-23 09:15:04 UTC
Created attachment 4520 [details] [review]
Bug 6526 - make the reserves code use the borrowernumber

Previously it used the cardnumber, which caused numerous issues if your
users don't have card numbers.
Comment 2 Liz Rea 2011-06-23 13:47:29 UTC
robin, 

should this be tested with both borrowers with card numbers and those without, for completeness?

LR
Comment 3 Robin Sheat 2011-06-23 22:23:46 UTC
Yes, definitely. In theory there should be no difference in the way they work now. In practice, there may be. Testing with different configurations is always good :)
Comment 4 Liz Rea 2011-06-24 20:57:11 UTC
Created attachment 4522 [details] [review]
[SIGNED OFF] Bug 6526 - make the reserves code use the borrowernumber

Previously it used the cardnumber, which caused numerous issues if your
users don't have card numbers.
Comment 5 Liz Rea 2011-06-24 21:03:47 UTC
Tested with both a patron with a card # and one without, in both OPAC and Intranet.
Comment 6 Chris Cormack 2011-06-25 20:13:13 UTC
Pushed please test
Comment 7 Owen Leonard 2011-08-09 15:58:49 UTC
I suspect this patch has caused Bug 6687 (cannot move people in the holds queue).
Comment 8 Robin Sheat 2011-09-22 01:50:03 UTC
I think this has been sufficiently tested now :)